<?php

namespace JMS\Serializer\Tests\Metadata\Driver;

use JMS\Serializer\Metadata\Driver\XmlDriver;
use JMS\Serializer\Metadata\PropertyMetadata;
use Metadata\Driver\FileLocator;

class XmlDriverTest extends BaseDriverTest
{
    /**
     * @expectedException JMS\Serializer\Exception\XmlErrorException
     * @expectedExceptionMessage [FATAL] Start tag expected, '<'JMS\Serializer\Tests\Fixtures\ObjectWithAbsentXmlListNode:
    properties:
        absent:
            type: array
            xml_list:
              skip_when_empty: true
        present:
            type: array
            xml_list:
              skip_when_empty: false
        skipDefault:
            type: array
            xml_list:
              inline: false
